The Internet Systems Consortium is reporting a vulnerability in the Bind DNS server software that can allow an attacker to crash a Bind installation if it is the master for a domain.   The attack involves sending a particularly formatted request to the master DNS server of the domain.
ISC has released patched versions of Bind for download.
Edit 2009/07/29 21:37:  I’ve successfully installed the updates for CentOS 5.3.  Nothing for CentOS 4.3 yet. 🙁